osl::move_generator::AttackToPinned< P > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::move_generator::AttackToPinned< P > Class Template Reference

敵のpinされている駒を攻める. More...

`#include <attackToPinned.h>`

## Public Member Functions
template<class Action >
void | generate (const NumEffectState &state, Action &action)

## Static Public Member Functions
template<class Action >
static void | generate (const NumEffectState &state, Action &action)
| 手を生成する． More...
static void | generate (const NumEffectState &state, MoveVector &out)

## Detailed Description

### template<Player P>
class osl::move_generator::AttackToPinned< P >

敵のpinされている駒を攻める.

pinの長い利きを付けている駒で攻める可能性もあるが稀 pinしている方向からは攻めてしまうこともある． 歩も攻める． 利きの数が勝っているかどうかはとりあえずは問わない． P - 攻撃側のプレイヤ

Definition at line 21 of file attackToPinned.h.

## Member Function Documentation

template<Player P>
template<class Action >

static void osl::move_generator::AttackToPinned< P >::generate | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |
| static

手を生成する．

Parameters

  state | - 盤面
  action | - 生成時のcall back

Referenced by osl::move_generator::AttackToPinned< P >::generate(), and osl::move_generator::GenerateAttackToPinned::generate().

template<Player P>

static void osl::move_generator::AttackToPinned< P >::generate | ( | const NumEffectState & | state,
|  | MoveVector & | out
| ) |  |
| inlinestatic

Definition at line 31 of file attackToPinned.h.

References osl::move_generator::AttackToPinned< P >::generate(), and store().

template<Player P>
template<class Action >

void osl::move_generator::AttackToPinned< P >::generate | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |

Definition at line 41 of file attackToPinned.tcc.

The documentation for this class was generated from the following files:

- attackToPinned.h
- attackToPinned.tcc